Subject: [IPP] PWG 5100.11 section 7.8: What is "[MOD1.1]"?

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Fri, 7 Feb 2020 17:51:13 +0000

Hi there

Still working on an update to IPP Enterprise Printing Extensions v2.0. In the process, came across text taken from PWG 5100.11 section 7.8, which says this, including something highlighted below that is causing me confusion:
7.8 job-recipient-name (name(MAX))

The OPTIONAL “job-recipient-name” Job Template attribute contains the name of the person that is to receive the output of the job. The value of the "job-recipient-name" attribute is commonly printed on job sheets printed with the job. An example of another use of the "job-recipient-name" attribute is if the printer accesses a database to get job delivery instructions for the recipient of a job. A zero-length value indicates that there is no job recipient name.

If the client omits this attribute in a create request, the printer MAY use the “job-recipient-name-default” attribute value, unless it has not been configured by the administrator, or MAY use the “authenticated user” name (see [MOD1.1] section 8.3), depending on implementation.

What is "[MOD1.1]"? It isn't listed in the References section.

Smith

/**
    Smith Kennedy
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet via ipp <[email-masked]>
Date: Fri, 7 Feb 2020 14:44:04 -0500

Smith,

MOD1.1 is likely an old (pre-RFC2911) reference from when JPS2 was first started (long before Tom Hastings was asked to take over and "spend a few months" to finish it up - I think it took 3 years...)

The current reference would be either STD92 or RFC8011 (where it is now section 9.3...)

> On Feb 7, 2020, at 12:51 PM, Kennedy, Smith (Wireless & IPP Standards) via ipp <[email-masked]> wrote:
> 
> Hi there
> 

________________________
Michael Sweet